/*
 * Copyright 2006 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.fusesource.jms.pool;

import javax.jms.JMSException;
import javax.jms.Connection;
import javax.jms.XAConnection;

/**
 * 
 */
public class JcaPooledConnectionFactory extends XaPooledConnectionFactory {

    private String name;

    public JcaPooledConnectionFactory() {
        super();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    protected ConnectionPool createConnectionPool(Connection connection) throws JMSException {
    	if (!(connection instanceof XAConnection)) {
    		throw new JMSException("Require an instance of javax.jms.XAConnection for creating the ConnectionPool");
    	}
        return new JcaConnectionPool((XAConnection)connection, getPoolFactory(), getTransactionManager(), getName());
    }

}
